<template>
  <v-row class="hero" v-if="data">
    <v-col class="heroText" lg="5" md="7">
      <v-container>
        <v-row>
          <language-switch :expanded="1"></language-switch>
        </v-row>
        <v-row class="quote" v-html="data.content"></v-row>
      </v-container>
    </v-col>
    <v-col lg="7" md="5" class="imgCol">
      <router-link :to="'/' + $i18n.locale + '/map/'">
        <v-img class="heroImg" :src="data.image"></v-img>
      </router-link>
    </v-col>
  </v-row>
</template>

<script>
import LanguageSwitch from '../LanguageSwitch.vue';

export default {
  components: { LanguageSwitch },
  props: {
    data: {}
  }
};
</script>

<style>
.hero {
  height: 90vh;
  align-items: center;
}
.heroText blockquote p.text-body-1 {
  text-transform: uppercase;
  font-family: 'Helvetica Neue LT W05 75 Bold', sans-serif !important;
  font-size: 2.2em !important;
  line-height: 1.2em;
  letter-spacing: 0.04em !important;
  text-align: left;
}
.heroText {
  flex: 1 1;
}
.heroText a {
  color: #B2B2B2 !important;
  font-family: 'Helvetica Neue LT W05 75 Bold', sans-serif;
  font-style: normal;
}
.heroText a:hover {
  color: #212121 !important;
}
.imgCol {
  display: flex;
  justify-content: center;
}
.heroImg {
  flex: 1 !important;
  text-align: center;
  width: 90%;
  max-width: 650px !important;
  margin-right: 10%;
  height: fit-content;
  border-radius: 50%;
  border: 1px solid #212121;
}
@media only screen and (max-width: 1200px) {
  .heroImg {
    max-width: 350px !important;
  }
}
@media only screen and (max-width: 960px) {
  .hero.row {
    flex-direction: column;
    height: auto;
    margin-top: 10em;
  }
  .hero.row {
    display: block;
  }
  .heroText {
    margin-top: 80px;
  }
  .heroText .quote {
    margin-top: 2em !important;
  }
  .heroText blockquote p.text-body-1 {
    font-size: 1rem !important;
  }
  .heroImg {
    max-width: 300px !important;
    margin: auto;
    margin-top: 2em;
  }
}
</style>
